package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板履历合同表
 * </p>
 *
 * @author SunH
 * @since 2025-02-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SUB_ORD")
public class PmSubOrdDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "ID", type = IdType.AUTO)
    private BigDecimal id;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 订货长度
     */
    private BigDecimal lenAim;

    /**
     * X坐标
     */
    private BigDecimal posX;

    /**
     * Y坐标
     */
    private BigDecimal posY;

    /**
     * 交货日期
     */
    private Date delivyDate;

    /**
     * 轴合同
     */
    private String axisOrd;

    /**
     * 欠量
     */
    private BigDecimal lackNum;

    /**
     * 超投
     */
    private BigDecimal overNum;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private BigDecimal tenantId;

    private BigDecimal objectVersionNumber;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 合同顺序号
     */
    private String orderSeqNo;

    /**
     * 关系主键
     */
    private String relKey;

    /**
     * 板坯号
     */
    private String slabNo;


}
