package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * MES合同主档
 * </p>
 *
 * @author SunH
 * @since 2025-02-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("QD_TO_PO_ORDER")
public class QdToPoOrderDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "POM_ID", type = IdType.AUTO)
    private BigDecimal pomId;

    /**
     * 合约号
     */
    private String pactNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 发送次数
     */
    private BigDecimal sendNum;

    /**
     * 合同性质代码
     */
    private String orderTypeCode;

    /**
     * 合同号(ERP系统)
     */
    private String orderNoErp;

    /**
     * 合同的客户订单编号
     */
    private String orderNoCustom;

    /**
     * 归并合同号
     */
    private String mergOrderNo;

    /**
     * 合同创建时间
     */
    private Date orderCreateTime;

    /**
     * 合同接收时间
     */
    private Date orderRecvTime;

    /**
     * 交货日期
     */
    private String delivyDate;

    /**
     * 交货日期期别
     */
    private String delivyDatePerd;

    /**
     * 交货日期精度
     */
    private String delivyDateAccu;

    /**
     * 用户期望交货日期
     */
    private String delivyDateUser;

    /**
     * 生产备妥日期
     */
    private Date prodReadyDate;

    /**
     * 紧急合同标记
     */
    private String urgOrderFlag;

    /**
     * 按量发货标志
     */
    private String delivyQtyFlag;

    /**
     * 最终用户代码
     */
    private String finCustCode;

    /**
     * 最终用户英文名称
     */
    private String finCustEname;

    /**
     * 最终用户中文名称
     */
    private String finCustCname;

    /**
     * 订货用户代码
     */
    private String orderCustCode;

    /**
     * 订货用户英文名称
     */
    private String orderCustEname;

    /**
     * 订货用户中文名称
     */
    private String orderCustCname;

    /**
     * 收货用户代码
     */
    private String consignUserCode;

    /**
     * 收货用户英文名称
     */
    private String consignCustEname;

    /**
     * 收货用户中文名称
     */
    private String consignCustCname;

    /**
     * 结算用户代码
     */
    private String balanceUserCode;

    /**
     * 结算用户中文全称
     */
    private String balanceUserCname;

    /**
     * 结算用户英文全称
     */
    private String balanceUserEname;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 标准牌号
     */
    private String sgSign;

    /**
     * 执行标准
     */
    private String sgStd;

    /**
     * 表面精度
     */
    private String surfaceAccu;

    /**
     * 表面精度大类代码
     */
    private String surfaceAccuClassCode;

    /**
     * 表面精度代码
     */
    private String surfaceAccuCode;

    /**
     * 用户标准代码
     */
    private String custStdCode;

    /**
     * 用户标准
     */
    private String custStd;

    /**
     * 用户牌号代码
     */
    private String custSgCode;

    /**
     * 用户牌号代码
     */
    private String custSg;

    /**
     * 品名代码
     */
    private String prodCode;

    /**
     * 品名英文
     */
    private String prodEname;

    /**
     * 品名英文别名
     */
    private String prodEnameOther;

    /**
     * 品名中文
     */
    private String prodCname;

    /**
     * 品名中文别名
     */
    private String prodCnameOther;

    /**
     * 质保书份数
     */
    private BigDecimal certiNum;

    /**
     * 公英制标志
     */
    private String metricOrEngFlag;

    /**
     * 中英文标志
     */
    private String chnOrEngFlag;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货英制厚度
     */
    private String orderEngThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 订货英制宽度
     */
    private String orderEngWidth;

    /**
     * 订货长度
     */
    private BigDecimal orderLen;

    /**
     * 订货英制长度
     */
    private String orderEngLen;

    /**
     * 订货最小长度
     */
    private BigDecimal orderMinLen;

    /**
     * 订货最大长度
     */
    private BigDecimal orderMaxLen;

    /**
     * 订货英制最小长度
     */
    private String orderEngMinLen;

    /**
     * 订货英制最大长度
     */
    private String orderEngMaxLen;

    /**
     * 订货重量
     */
    private BigDecimal orderWt;

    /**
     * 交货重量正公差
     */
    private BigDecimal delivyWtTolPlus;

    /**
     * 交货重量负公差
     */
    private BigDecimal delivyWtTolMinus;

    /**
     * 订货重量单件目标值
     */
    private BigDecimal orderUnitAimWt;

    /**
     * 订货重量单件最小值
     */
    private BigDecimal orderUnitMinWt;

    /**
     * 订货重量单件最大值
     */
    private BigDecimal orderUnitMaxWt;

    /**
     * 订货短尺率
     */
    private BigDecimal orderShortRate;

    /**
     * 订货最大短尺
     */
    private BigDecimal orderShortMax;

    /**
     * 订货最小短尺
     */
    private BigDecimal orderShortMin;

    /**
     * 订货计量单位代码
     */
    private String orderUnitCode;

    /**
     * 订货数量
     */
    private BigDecimal orderQty;

    /**
     * 订货件数
     */
    private BigDecimal orderNum;

    /**
     * 交货件数正公差
     */
    private BigDecimal delivyNumTolPlus;

    /**
     * 交货件数负公差
     */
    private BigDecimal delivyNumTolMinus;

    /**
     * 计重方式代码
     */
    private String wtMethodCode;

    /**
     * 计重方式名称
     */
    private String wtMethodName;

    /**
     * 包装类型代码
     */
    private String packTypeCode;

    /**
     * 标记（唛头）类型代码
     */
    private String markTypeCode;

    /**
     * 标记（唛头）类型说明
     */
    private String markTypeDesc;

    /**
     * 标记位置代码
     */
    private String markPosCode;

    /**
     * 标记位置说明
     */
    private String markPosDesc;

    /**
     * 合同特殊要求
     */
    private String orderSpecial;

    /**
     * 新试号
     */
    private String newTestNo;

    /**
     * 出口标记
     */
    private String exportFlag;

    /**
     * 运输方式代码
     */
    private String trnpModeCode;

    /**
     * 交货地点代码
     */
    private String delivyPlaceCode;

    /**
     * 交货地点名称
     */
    private String delivyPlaceName;

    /**
     * 产品分类
     */
    private String prodDif;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 产品密度
     */
    private BigDecimal prodDensity;

    /**
     * 产品认证
     */
    private String prodAuth;

    /**
     * 好面朝向代码
     */
    private String betterSurfWardCode;

    /**
     * 目标重量
     */
    private BigDecimal wtAim;

    /**
     * 厚板会检方式代码
     */
    private String checkMethodCode;

    /**
     * 验收方式代码
     */
    private String accptModeCode;

    /**
     * 验收机关代码
     */
    private String accpAuthCode;

    /**
     * 验收标准
     */
    private String accptStd;

    /**
     * 会检机关代码
     */
    private String checkAuthCode;

    /**
     * 船期交货日期
     */
    private String delivyDateTrnp;

    /**
     * 用户指定厚度
     */
    private BigDecimal userAppoThick;

    /**
     * 二次压本合同标记
     */
    private String twoRollOrderMark;

    /**
     * 二次压母材合同标记
     */
    private String twoRollMark;

    /**
     * 合同强制变更标志
     */
    private String orderModiQmark;

    /**
     * 工程代码
     */
    private String projectCode;

    /**
     * 工程名称
     */
    private String projectName;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 宽度区分,0定尺,1非定尺
     */
    private String widthDiv;

    /**
     * 宽度下限
     */
    private BigDecimal widthMin;

    /**
     * 宽度上限
     */
    private BigDecimal widthMax;

    /**
     * 长度区分,0定尺,1非定尺
     */
    private String lenDiv;

    /**
     * 目标长度
     */
    private BigDecimal lenAim;

    /**
     * 理论重量厚度添加量
     */
    private BigDecimal wtThickAdd;

    /**
     * 厚度补偿量
     */
    private BigDecimal gaugeComp;

    /**
     * 用户管理号
     */
    private String userManageNm;

    /**
     * 抛丸要否
     */
    private String shotFlag;

    /**
     * 抛丸涂漆代码
     */
    private String shotPaintCode;

    /**
     * 上表面涂料代码
     */
    private String topPaintCode;

    /**
     * 下表面涂料代码
     */
    private String botPaintCode;

    /**
     * 堆垛记号
     */
    private String stackMark;

    /**
     * 堆垛记号尺寸区分
     */
    private String stackMarkSize;

    /**
     * 切边标记
     */
    private String trimFlag;

    /**
     * 专用线代码
     */
    private String privateRouteCode;

    /**
     * 专用线名称
     */
    private String privateRouteName;

    /**
     * 奉送样标记
     */
    private String giveSampleFlag;

    /**
     * 奉送样形状
     */
    private String giveSampleSharp;

    /**
     * 奉送试材长度
     */
    private BigDecimal giveSampleLen;

    /**
     * 付款条件代码
     */
    private String settleCode;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 质保书标准打印要否
     */
    private String certiStd;

    /**
     * 特殊喷印要求
     */
    private String specialPrint;

    /**
     * 是否分段管理 0 不进行分体管理  1 进行分段管理
     */
    private String sectionManage;

    /**
     * 分段号
     */
    private String hullSectionNo;

    /**
     * 厚度平均值下限
     */
    private BigDecimal minThick;

    /**
     * 厚度平均值上限
     */
    private BigDecimal maxThick;

    /**
     * 核电用钢零件号
     */
    private String nucearPartNo;

    /**
     * 客户预计交期
     */
    private String deliveryDate;

    /**
     * 采购订单号
     */
    private String purOrder;

    /**
     * 是否钢锭轧制
     */
    private String ingotRoll;

    /**
     * 是否多点测厚
     */
    private String scaleThick;

    /**
     * 喷漆标志，0为不喷，1为厂内喷漆，2为厂外喷漆
     */
    private String needLecquering;

    /**
     * 见证类型
     */
    private String witnessType;

    /**
     * 开工文件审查标记
     */
    private String startWorkFileFlag;

    /**
     * 厚度公差上限
     */
    private BigDecimal thickTolMax;

    /**
     * 厚度公差下限
     */
    private BigDecimal thickTolMin;

    /**
     * 成品目标厚度
     */
    private BigDecimal productTargThick;

    /**
     * 宽度公差上限
     */
    private BigDecimal widthTolMax;

    /**
     * 宽度公差下限
     */
    private BigDecimal widthTolMin;

    /**
     * 长度公差上限
     */
    private BigDecimal lenTolMax;

    /**
     * 长度公差下限
     */
    private BigDecimal lenTolMin;

    /**
     * 厚度余量
     */
    private BigDecimal thickAddv;

    /**
     * 宽度余量
     */
    private BigDecimal widthAddv;

    /**
     * 长度余量
     */
    private BigDecimal lenAddv;

    /**
     * 人工材料设计标记
     */
    private String matDesignFlag;

    /**
     * UOE合同标记
     */
    private String uoeFlag;

    /**
     * 头部试材长度
     */
    private BigDecimal sampleLenHead;

    /**
     * 尾部试材长度
     */
    private BigDecimal sampleLenTail;

    /**
     * 雨天出厂可否
     */
    private String rainDelvFlag;

    /**
     * 超声探伤标准1
     */
    private String ultDetectStd1;

    /**
     * 超声探伤标准2
     */
    private String ultDetectStd2;

    /**
     * 超声探伤标准3
     */
    private String ultDetectStd3;

    /**
     * 超声探伤标准4
     */
    private String ultDetectStd4;

    /**
     * 超声探伤标准5
     */
    private String ultDetectStd5;

    /**
     * 工序记号（超声探伤）
     */
    private String backlogUtMark;

    /**
     * 工序记号（正火）
     */
    private String backlogNMark;

    /**
     * 工序记号（淬火）
     */
    private String backlogQMark;

    /**
     * 工序记号（回火）
     */
    private String backlogTMark;

    /**
     * 工序记号（退火）
     */
    private String backlogAMark;

    /**
     * 工序记号（脱磁）
     */
    private String backlogDemagMark;

    /**
     * 工序记号（PT探伤）
     */
    private String backlogPtMark;

    /**
     * 工序记号（MT探伤）
     */
    private String backlogMtMark;

    /**
     * 工序记号（TMCP）
     */
    private String backlogTmcpMark;

    /**
     * 制品记号（试验片SR）
     */
    private String prodSrMark;

    /**
     * 制品记号（边部形态）
     */
    private String prodSideMark;

    /**
     * 制品记号（抛丸涂漆）
     */
    private String prodShotMark;

    /**
     * 制品记号（试验片正火）
     */
    private String prodNMark;

    /**
     * 制品记号（试验片淬火）
     */
    private String prodQMark;

    /**
     * 制品记号（试验片回火）
     */
    private String prodTMark;

    /**
     * 制品记号（试验片退火）
     */
    private String prodAMark;

    /**
     * 碳锈区分
     */
    private String cDiv;

    /**
     * 合金区分
     */
    private String alloyDiv;

    /**
     * 板坯最小长度系数
     */
    private BigDecimal slabMinLenRate;

    /**
     * 板坯最大长度系数
     */
    private BigDecimal slabMaxLenRate;

    /**
     * 板坯重量最小值系数
     */
    private BigDecimal slabMinWtRate;

    /**
     * 试材采取方式代码
     */
    private String pickPatternCode;

    /**
     * 取样方式代码
     */
    private String sampleModeCode;

    /**
     * 钢板凸度
     */
    private BigDecimal plateCrown;

    /**
     * 正负标志
     */
    private String plusFlag;

    /**
     * 交货状态
     */
    private String deliveryState;

    /**
     * 刨分标记,1允许刨分,0不允许刨分
     */
    private String planerFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 不锈钢厚度
     */
    private BigDecimal stainlessThk;

    /**
     * 复合板密度
     */
    private BigDecimal compBoardDensity;

    /**
     * 产品大类代码
     */
    private String prodClassCode;

    /**
     * 销售区域
     */
    private String provCode;

    /**
     * 见证项目号
     */
    private String witnessProNo;

    /**
     * 付费标记
     */
    private String payCode;

    /**
     * 喷印方式
     */
    private Integer printType;

    /**
     * 面喷第一行
     */
    private String facePrintDetailA;

    /**
     * 面喷第二行
     */
    private String facePrintDetailB;

    /**
     * 面喷第三行
     */
    private String facePrintDetailC;

    /**
     * 面喷第四行
     */
    private String facePrintDetailD;

    /**
     * 面喷第五行
     */
    private String facePrintDetailE;

    /**
     * 面喷第六行
     */
    private String facePrintDetailF;

    /**
     * 面喷第七行
     */
    private String facePrintDetailG;

    /**
     * 面喷第八行
     */
    private String facePrintDetailH;

    /**
     * 侧喷第一行
     */
    private String sidePrintDetailA;

    /**
     * 侧喷第二行
     */
    private String sidePrintDetailB;

    /**
     * 刻印第一行
     */
    private String stampPrintDetailA;

    /**
     * 刻印第二行
     */
    private String stampPrintDetailB;

    /**
     * 刻印第三行
     */
    private String stampPrintDetailC;

    /**
     * 刻印第四行
     */
    private String stampPrintDetailD;

    /**
     * 屈服强度代表值
     */
    private BigDecimal ysStand;

    /**
     * 屈服强度说明
     */
    private String ysRemark;

    /**
     * 抗拉强度代表值
     */
    private BigDecimal tsStand;

    /**
     * 抗拉强度说明
     */
    private String tsRemark;

    /**
     * 抗拉强度最大值
     */
    private BigDecimal tsMax;

    /**
     * 抗拉强度最小值
     */
    private BigDecimal tsMin;

    /**
     * 硬度目标值
     */
    private BigDecimal hardnessAim;

    /**
     * 厚度公差类型
     */
    private String thkTolType;

    /**
     * 目标宽度
     */
    private BigDecimal widthAim;

    /**
     * 是否集结
     */
    private String rallyFlag;

    /**
     * 销售人员
     */
    private String salesman;

    /**
     * 是否允许纵轧展宽
     */
    private String axialRollMark;

    /**
     * 质保书生成规则
     */
    private String warrantyRule;

    /**
     * 质保书抬头
     */
    private String warrantyHead;

    /**
     * 涂漆种类
     */
    private String paintKind;

    /**
     * 涂漆颜色
     */
    private String paintColor;

    /**
     * 漆膜厚度
     */
    private String paintThick;

    /**
     * 成品刷色位置
     */
    private String productBrushPosition;

    /**
     * 成品刷色颜色
     */
    private String productBrushColor;

    /**
     * 板材包装要求
     */
    private String packageRequire;

    /**
     * 特殊装车要求
     */
    private String specLoadReq;

    /**
     * 产品属性码
     */
    private String pac;

    /**
     * 探伤标准1
     */
    private String erpUtSpec1;

    /**
     * 探伤等级1
     */
    private String erpUtGrade1;

    /**
     * 探伤标准2
     */
    private String erpUtSpec2;

    /**
     * 探伤等级2
     */
    private String erpUtGrade2;

    /**
     * 探伤标准3
     */
    private String erpUtSpec3;

    /**
     * 探伤等级3
     */
    private String erpUtGrade3;

    /**
     * 是否探伤
     */
    private String isUt;

    /**
     * 厚度同板差
     */
    private BigDecimal thickFluc;

    /**
     * 奉送样频率
     */
    private Integer giveSampleFreq;

    /**
     * 需方用户代码
     */
    private String settUserNum;

    /**
     * 需方用户名称
     */
    private String settUserName;

    /**
     * 需方用户英文名称
     */
    private String settUserEname;

    /**
     * 使用用户代码
     */
    private String actUserCode;

    /**
     * 使用用户中文名称
     */
    private String actUserCname;

    /**
     * 使用用户英文名称
     */
    private String actUserEname;

    /**
     * 是否试样添加标记
     */
    private BigDecimal sampleGenFlag;

    /**
     * 客户要求热处理路径
     */
    private String custHeatTreatmentType;


}
